## org.eclipse.ocl.uml
Interface OCL.Query

All Superinterfaces:
  Query<Classifier,Class,EObject>

Enclosing class:
  OCL

    public static interface OCL.Query

extends Query<Classifier,Class,EObject>

Convenient interface aliasing the type parameter substitutions for the UML environment, for ease of typing.

Method Summary
`OCLExpression` `getExpression()` Obtains the expression that I evaluate (or check as a boolean constraint). The return type is narrowed to the UML binding for the generic `OCLExpression<C>` type.
`OCL` `getOCL()` Obtains the `OCL` that created me.

Methods inherited from interface org.eclipse.ocl.Query
`check, check, evaluate, evaluate, evaluate, getEvaluationEnvironment, getExtentMap, queryText, reject, resultType, select`

Method Detail

### getExpression

    OCLExpression getExpression()

  Obtains the expression that I evaluate (or check as a boolean constraint).

  The return type is narrowed to the UML binding for the generic `OCLExpression<C>` type.

  Specified by:
    `getExpression` in interface `Query<Classifier,Class,EObject>`
  Returns:
    my OCL expression

### getOCL

    OCL getOCL()

  Obtains the `OCL` that created me.

  Returns:
    my originating `OCL` instance

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.